Subject: bug#11450: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: Alp Aker <[email-masked]>
Date: Fri, 11 May 2012 16:43:36 -0400

On Fri, May 11, 2012 at 12:45 PM, Steve Purcell <[email-masked]> wrote:
> I *had* started Emacs with -Q in order to be sure the bug report was valid.
>
> The trunk version I have is current up to the following commit:
>
>   Author: Chong Yidong <[email-masked]>
>   Date:   Thu May 10 14:27:12 2012 +0800
>   Cleanups and improvements for FFAP and URL.
>
> I'm on a Lion machine (10.7.4), with the latest XCode and Emacs compiled locally to 64bit in the regular manner.
>
> What else can I try to help pin down the problem?

I can't reproduce the problem building that rev, either, so I'm not
sure I can be of further help.  That said, try the following:

(1) If you haven't already, do "make extraclean" and rebuild from a clean slate.
(2) If that doesn't work, go to src/nsfont.m:47 and change it to
define NSFONT_TRACE as 1.  Then rebuild, follow your original recipe,
and report back with the results of stderr.  (This probably won't tell
us more than we already know, but it's worth a shot.)

PS:  Please keep the bug tracker cc'ed on follow ups.